Page MenuHomePhabricator

Cumin: upload generated documentation to doc.w.o
Closed, ResolvedPublic

Description

Cumin generates it's configuration with Sphinx as part of running tox, in particular tox -e sphinx.
The generated documentation is in /home/jenkins/workspace/tox-jessie/doc/build/html when run as part of CI.

It will be nice to have it uploaded to doc.wikimedia.org.

Ideally I would like to have:

  • the documentation for the latest tag (vX.Y.Z)
  • [optional] keep the documentation of previous tags available while going forward
  • [optional] generate the documentation for the master branch. It's usage will be mostly to check the generated documentation of new features and updates to the documentation itself, although for that would be more useful to be able to check it in the CR before merging.

Event Timeline

Volans created this task.Nov 2 2017, 3:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2017, 3:55 PM

Change 388403 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Publish doc for cumin

https://gerrit.wikimedia.org/r/388403

Change 388403 merged by jenkins-bot:
[integration/config@master] Publish doc for cumin

https://gerrit.wikimedia.org/r/388403

Mentioned in SAL (#wikimedia-releng) [2017-11-03T11:17:21Z] <hashar> generate doc for cumin ( T179593 ) : contint1001$ zuul enqueue --trigger gerrit --pipeline postmerge --project operations/software/cumin --change 388261,2

Mentioned in SAL (#wikimedia-releng) [2017-11-03T12:38:56Z] <hashar> T179593 generate doc for cumin@v1.2.2 : contint1001$ zuul enqueue-ref --trigger gerrit --pipeline publish --project operations/software/cumin --ref refs/tags/v1.2.2 --newrev f7453873ff7c242743a22b119fc5e2171321c38b

hashar added a comment.Nov 3 2017, 1:06 PM

I have triggered the job against the last merged change https://gerrit.wikimedia.org/r/#/c/388261/
Build: https://integration.wikimedia.org/ci/job/cumin-tox-publish/1/console
Something got generated at https://doc.wikimedia.org/cumin/master/

Tags are broken though.

Change 388441 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Fix publish jobs when triggered from a tag

https://gerrit.wikimedia.org/r/388441

Change 388441 merged by jenkins-bot:
[integration/config@master] Fix publish jobs when triggered from a tag

https://gerrit.wikimedia.org/r/388441

hashar closed this task as Resolved.Nov 3 2017, 1:34 PM
hashar claimed this task.

Change 388445 had a related patch set uploaded (by Volans; owner: Volans):
[integration/docroot@master] Add link to Cumin documentation

https://gerrit.wikimedia.org/r/388445

Change 388445 merged by jenkins-bot:
[integration/docroot@master] Add link to Cumin documentation

https://gerrit.wikimedia.org/r/388445

Change 388458 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Generate cumin doc solely for the master branch

https://gerrit.wikimedia.org/r/388458

Change 388458 merged by jenkins-bot:
[integration/config@master] Generate cumin doc solely for the master branch

https://gerrit.wikimedia.org/r/388458

Change 388668 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Fix castor deleting /home/jenkins/workspace on Nodepool

https://gerrit.wikimedia.org/r/388668

Change 388668 merged by jenkins-bot:
[integration/config@master] Fix castor deleting /home/jenkins/workspace on Nodepool

https://gerrit.wikimedia.org/r/388668